* tests/test-mbstowcs*.sh: Renamed 1 -> 2 -> 3 -> 4 -> 5 -> 1.
* tests/test-mbstowcs.c: Update.
* modules/mbstowcs-tests: Update.
2023-07-29 Bruno Haible <bruno@clisp.org>
+ mbstowcs tests: Renumber tests.
+ * tests/test-mbstowcs*.sh: Renamed 1 -> 2 -> 3 -> 4 -> 5 -> 1.
+ * tests/test-mbstowcs.c: Update.
+ * modules/mbstowcs-tests: Update.
+
mbsrtowcs tests: Renumber tests.
* tests/test-mbsrtowcs*.sh: Renamed 1 -> 2 -> 3 -> 4 -> 5 -> 1.
* tests/test-mbsrtowcs.c: Update.
Files:
-tests/test-mbstowcs1.sh
-tests/test-mbstowcs2.sh
-tests/test-mbstowcs3.sh
-tests/test-mbstowcs4.sh
-tests/test-mbstowcs5.sh
+tests/test-mbstowcs-1.sh
+tests/test-mbstowcs-2.sh
+tests/test-mbstowcs-3.sh
+tests/test-mbstowcs-4.sh
+tests/test-mbstowcs-5.sh
tests/test-mbstowcs.c
tests/signature.h
tests/macros.h
Makefile.am:
TESTS += \
- test-mbstowcs1.sh test-mbstowcs2.sh test-mbstowcs3.sh test-mbstowcs4.sh \
- test-mbstowcs5.sh
+ test-mbstowcs-1.sh test-mbstowcs-2.sh test-mbstowcs-3.sh test-mbstowcs-4.sh \
+ test-mbstowcs-5.sh
TESTS_ENVIRONMENT += \
LOCALE_FR='@LOCALE_FR@' \
LOCALE_FR_UTF8='@LOCALE_FR_UTF8@' \
--- /dev/null
+#!/bin/sh
+
+# Test whether the POSIX locale has encoding errors.
+LC_ALL=C \
+${CHECKER} ./test-mbstowcs${EXEEXT} 1 || exit 1
+LC_ALL=POSIX \
+${CHECKER} ./test-mbstowcs${EXEEXT} 1 || exit 1
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+# Test in an ISO-8859-1 or ISO-8859-15 locale.
+: "${LOCALE_FR=fr_FR}"
+if test $LOCALE_FR = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no traditional french locale is installed"
+ else
+ echo "Skipping test: no traditional french locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$LOCALE_FR \
+${CHECKER} ./test-mbstowcs${EXEEXT} 2
--- /dev/null
+#!/bin/sh
+
+# Test whether a specific UTF-8 locale is installed.
+: "${LOCALE_FR_UTF8=fr_FR.UTF-8}"
+if test $LOCALE_FR_UTF8 = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no french Unicode locale is installed"
+ else
+ echo "Skipping test: no french Unicode locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$LOCALE_FR_UTF8 \
+${CHECKER} ./test-mbstowcs${EXEEXT} 3
--- /dev/null
+#!/bin/sh
+
+# Test whether a specific EUC-JP locale is installed.
+: "${LOCALE_JA=ja_JP}"
+if test $LOCALE_JA = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no traditional japanese locale is installed"
+ else
+ echo "Skipping test: no traditional japanese locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$LOCALE_JA \
+${CHECKER} ./test-mbstowcs${EXEEXT} 4
--- /dev/null
+#!/bin/sh
+
+# Test whether a specific GB18030 locale is installed.
+: "${LOCALE_ZH_CN=zh_CN.GB18030}"
+if test $LOCALE_ZH_CN = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no transitional chinese locale is installed"
+ else
+ echo "Skipping test: no transitional chinese locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$LOCALE_ZH_CN \
+${CHECKER} ./test-mbstowcs${EXEEXT} 5
"C" locale. Furthermore, when you attempt to set the "C" or "POSIX"
locale via setlocale(), what you get is a "C" locale with UTF-8 encoding,
that is, effectively the "C.UTF-8" locale. */
- if (argc > 1 && strcmp (argv[1], "5") == 0 && MB_CUR_MAX > 1)
- argv[1] = "2";
+ if (argc > 1 && strcmp (argv[1], "1") == 0 && MB_CUR_MAX > 1)
+ argv[1] = "3";
#endif
if (argc > 1)
switch (argv[1][0])
{
case '1':
+ /* C or POSIX locale. */
+ {
+ char input[] = "n/a";
+
+ src = input;
+ ret = mbstowcs (NULL, src, unlimited ? BUFSIZE : 1);
+ ASSERT (ret == 3);
+
+ src = input;
+ ret = mbstowcs (buf, src, unlimited ? BUFSIZE : 1);
+ ASSERT (ret == (unlimited ? 3 : 1));
+ ASSERT (buf[0] == 'n');
+ if (unlimited)
+ {
+ ASSERT (buf[1] == '/');
+ ASSERT (buf[2] == 'a');
+ ASSERT (buf[3] == 0);
+ ASSERT (buf[4] == (wchar_t) 0xBADFACE);
+ }
+ else
+ ASSERT (buf[1] == (wchar_t) 0xBADFACE);
+ }
+ {
+ int c;
+ char input[2];
+
+ for (c = 0; c < 0x100; c++)
+ if (c != 0)
+ {
+ /* We are testing all nonnull bytes. */
+ input[0] = c;
+ input[1] = '\0';
+
+ src = input;
+ ret = mbstowcs (NULL, src, unlimited ? BUFSIZE : 1);
+ ASSERT (ret == 1);
+
+ buf[0] = buf[1] = (wchar_t) 0xBADFACE;
+ src = input;
+ ret = mbstowcs (buf, src, unlimited ? BUFSIZE : 1);
+ /* POSIX:2018 says: "In the POSIX locale an [EILSEQ] error
+ cannot occur since all byte values are valid characters." */
+ ASSERT (ret == 1);
+ if (c < 0x80)
+ /* c is an ASCII character. */
+ ASSERT (buf[0] == c);
+ else
+ /* On most platforms, the bytes 0x80..0xFF map to U+0080..U+00FF.
+ But on musl libc, the bytes 0x80..0xFF map to U+DF80..U+DFFF. */
+ ASSERT (buf[0] == (btowc (c) == 0xDF00 + c ? btowc (c) : c));
+ }
+ }
+ break;
+
+ case '2':
/* Locale encoding is ISO-8859-1 or ISO-8859-15. */
{
char input[] = "B\374\337er"; /* "Büßer" */
}
break;
- case '2':
+ case '3':
/* Locale encoding is UTF-8. */
{
char input[] = "B\303\274\303\237er"; /* "Büßer" */
}
break;
- case '3':
+ case '4':
/* Locale encoding is EUC-JP. */
{
char input[] = "<\306\374\313\334\270\354>"; /* "<日本語>" */
}
break;
- case '4':
+ case '5':
/* Locale encoding is GB18030. */
{
char input[] = "B\250\271\201\060\211\070er"; /* "Büßer" */
}
break;
- case '5':
- /* C or POSIX locale. */
- {
- char input[] = "n/a";
-
- src = input;
- ret = mbstowcs (NULL, src, unlimited ? BUFSIZE : 1);
- ASSERT (ret == 3);
-
- src = input;
- ret = mbstowcs (buf, src, unlimited ? BUFSIZE : 1);
- ASSERT (ret == (unlimited ? 3 : 1));
- ASSERT (buf[0] == 'n');
- if (unlimited)
- {
- ASSERT (buf[1] == '/');
- ASSERT (buf[2] == 'a');
- ASSERT (buf[3] == 0);
- ASSERT (buf[4] == (wchar_t) 0xBADFACE);
- }
- else
- ASSERT (buf[1] == (wchar_t) 0xBADFACE);
- }
- {
- int c;
- char input[2];
-
- for (c = 0; c < 0x100; c++)
- if (c != 0)
- {
- /* We are testing all nonnull bytes. */
- input[0] = c;
- input[1] = '\0';
-
- src = input;
- ret = mbstowcs (NULL, src, unlimited ? BUFSIZE : 1);
- ASSERT (ret == 1);
-
- buf[0] = buf[1] = (wchar_t) 0xBADFACE;
- src = input;
- ret = mbstowcs (buf, src, unlimited ? BUFSIZE : 1);
- /* POSIX:2018 says: "In the POSIX locale an [EILSEQ] error
- cannot occur since all byte values are valid characters." */
- ASSERT (ret == 1);
- if (c < 0x80)
- /* c is an ASCII character. */
- ASSERT (buf[0] == c);
- else
- /* On most platforms, the bytes 0x80..0xFF map to U+0080..U+00FF.
- But on musl libc, the bytes 0x80..0xFF map to U+DF80..U+DFFF. */
- ASSERT (buf[0] == (btowc (c) == 0xDF00 + c ? btowc (c) : c));
- }
- }
- break;
-
default:
return 1;
}
+++ /dev/null
-#!/bin/sh
-
-# Test in an ISO-8859-1 or ISO-8859-15 locale.
-: "${LOCALE_FR=fr_FR}"
-if test $LOCALE_FR = none; then
- if test -f /usr/bin/localedef; then
- echo "Skipping test: no traditional french locale is installed"
- else
- echo "Skipping test: no traditional french locale is supported"
- fi
- exit 77
-fi
-
-LC_ALL=$LOCALE_FR \
-${CHECKER} ./test-mbstowcs${EXEEXT} 1
+++ /dev/null
-#!/bin/sh
-
-# Test whether a specific UTF-8 locale is installed.
-: "${LOCALE_FR_UTF8=fr_FR.UTF-8}"
-if test $LOCALE_FR_UTF8 = none; then
- if test -f /usr/bin/localedef; then
- echo "Skipping test: no french Unicode locale is installed"
- else
- echo "Skipping test: no french Unicode locale is supported"
- fi
- exit 77
-fi
-
-LC_ALL=$LOCALE_FR_UTF8 \
-${CHECKER} ./test-mbstowcs${EXEEXT} 2
+++ /dev/null
-#!/bin/sh
-
-# Test whether a specific EUC-JP locale is installed.
-: "${LOCALE_JA=ja_JP}"
-if test $LOCALE_JA = none; then
- if test -f /usr/bin/localedef; then
- echo "Skipping test: no traditional japanese locale is installed"
- else
- echo "Skipping test: no traditional japanese locale is supported"
- fi
- exit 77
-fi
-
-LC_ALL=$LOCALE_JA \
-${CHECKER} ./test-mbstowcs${EXEEXT} 3
+++ /dev/null
-#!/bin/sh
-
-# Test whether a specific GB18030 locale is installed.
-: "${LOCALE_ZH_CN=zh_CN.GB18030}"
-if test $LOCALE_ZH_CN = none; then
- if test -f /usr/bin/localedef; then
- echo "Skipping test: no transitional chinese locale is installed"
- else
- echo "Skipping test: no transitional chinese locale is supported"
- fi
- exit 77
-fi
-
-LC_ALL=$LOCALE_ZH_CN \
-${CHECKER} ./test-mbstowcs${EXEEXT} 4
+++ /dev/null
-#!/bin/sh
-
-# Test whether the POSIX locale has encoding errors.
-LC_ALL=C \
-${CHECKER} ./test-mbstowcs${EXEEXT} 5 || exit 1
-LC_ALL=POSIX \
-${CHECKER} ./test-mbstowcs${EXEEXT} 5 || exit 1
-
-exit 0